@import url('https://fonts.googleapis.com/css2?family=Noto+Kufi+Arabic:wght@200;300;400;500;600;700;800;900&display=swap');
* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    user-select: none;
}

body {
    padding: 0;
    margin: 0;
    font-family: 'Noto Kufi Arabic', sans-serif;
}

#notfound {
    position: relative;
    height: 100vh;
}

#notfound .notfound {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

#notfound .notfound-bg {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
}

.logo {
    width: 500px;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.logo img {
    width: 100%;
}

#notfound .notfound-bg>div {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 2px;
    background-color: #eee;
}

#notfound .notfound-bg>div:nth-child(1) {
    left: 20%;
}

#notfound .notfound-bg>div:nth-child(2) {
    left: 40%
}

#notfound .notfound-bg>div:nth-child(3) {
    left: 60%
}

#notfound .notfound-bg>div:nth-child(4) {
    left: 80%
}

#notfound .notfound-bg>div:after {
    content: '';
    position: absolute;
    top: 0px;
    left: -0.5px;
    -webkit-transform: translateY(-160px);
    -ms-transform: translateY(-160px);
    transform: translateY(-160px);
    height: 160px;
    width: 4px;
    background-color: #82d2ec;
}

@-webkit-keyframes drop {
    90% {
        height: 20px;
    }
    100% {
        height: 160px;
        -webkit-transform: translateY(calc(100vh + 160px));
        transform: translateY(calc(100vh + 160px));
    }
}

@keyframes drop {
    90% {
        height: 20px;
    }
    100% {
        height: 160px;
        -webkit-transform: translateY(calc(100vh + 160px));
        transform: translateY(calc(100vh + 160px));
    }
}

#notfound .notfound-bg>div:nth-child(1):after {
    -webkit-animation: drop 3s infinite linear;
    animation: drop 3s infinite linear;
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

#notfound .notfound-bg>div:nth-child(2):after {
    -webkit-animation: drop 2s infinite linear;
    animation: drop 2s infinite linear;
    -webkit-animation-delay: 0.7s;
    animation-delay: 0.7s;
}

#notfound .notfound-bg>div:nth-child(3):after {
    -webkit-animation: drop 3s infinite linear;
    animation: drop 3s infinite linear;
    -webkit-animation-delay: 0.9s;
    animation-delay: 0.9s;
}

#notfound .notfound-bg>div:nth-child(4):after {
    -webkit-animation: drop 2s infinite linear;
    animation: drop 2s infinite linear;
    -webkit-animation-delay: 1.2s;
    animation-delay: 1.2s;
}

.notfound {
    max-width: 520px;
    width: 100%;
    text-align: center;
}

.notfound .notfound-404 {
    height: 210px;
    line-height: 210px;
}

.notfound .notfound-404 h1 {
    font-family: 'Noto Kufi Arabic', sans-serif;
    font-size: 150px;
    font-weight: 700;
    margin: 0px;
    color: #0c3949;
    text-shadow: 4px 4px 12px #82d2ec;
}

.notfound h2 {
    font-family: 'Noto Kufi Arabic', sans-serif;
    font-size: 32px;
    font-weight: 700;
    margin: 0;
    text-transform: uppercase;
}

.notfound p {
    font-family: 'Noto Kufi Arabic', sans-serif;
    color: #0c3949;
    font-weight: 600;
    margin-top: 20px;
    margin-bottom: 25px;
}

.notfound a {
    font-family: 'Noto Kufi Arabic', sans-serif;
    padding: 10px 30px;
    display: inline-block;
    color: #0c3949;
    font-weight: 400;
    text-transform: uppercase;
    -webkit-box-shadow: 0px 0px 0px 2px #5AC7ED, 2px 2px 0px 2px #82d2ec;
    box-shadow: 0px 0px 0px 2px #5AC7ED, 2px 2px 0px 2px #82d2ec;
    text-decoration: none;
    -webkit-transition: 0.2s all;
    transition: 0.2s all;
    cursor: pointer;
}

.notfound a:hover {
    background-color: #0c3949;
    color: #5AC7ED;
    -webkit-box-shadow: 0px 0px 0px 0px #0c3949, 0px 0px 0px 2px #82d2ec;
    box-shadow: 0px 0px 0px 0px #0c3949, 0px 0px 0px 2px #82d2ec;
}

.notfound-social {
    margin-top: 35px;
}

.notfound-social>a {
    width: 40px;
    height: 40px;
    line-height: 40px;
    padding: 0px;
    margin: 0px 5px;
}

.notfound-social>a:hover {
    background-color: #0c3949;
    -webkit-box-shadow: 0px 0px 0px 0px #0c3949, 0px 0px 0px 2px #82d2ec;
    box-shadow: 0px 0px 0px 0px #0c3949, 0px 0px 0px 2px #82d2ec;
}

@media only screen and (max-width: 480px) {
    .notfound .notfound-404 {
        height: 122px;
        line-height: 122px;
    }
    .notfound .notfound-404 h1 {
        font-size: 92px;
    }
    .notfound h2 {
        font-size: 20px;
    }
    #notfound .notfound-bg>div:nth-child(2),
    #notfound .notfound-bg>div:nth-child(3) {
        display: none;
    }
    #notfound .notfound-bg>div:nth-child(1) {
        left: 12%;
    }
    #notfound .notfound-bg>div:nth-child(4) {
        left: 92%;
    }
    .logo {
        width: 100%;
        padding: 20px;
    }
}